## oar 2.6.0

=== debian/changelog ===
oar (2.6.0-1) unstable; urgency=medium

  [ Pierre Neyron ]
  * New upstream release
  * Switch to systemd and cgroup v2 (need config update for upgrade)

 -- Vincent Danjean <vdanjean@debian.org>  Thu, 27 Feb 2025 15:51:20 +0100

oar (2.6.0~rc7-1) unstable; urgency=medium

  * Release candidate 7

 -- Pierre Neyron <pierre.neyron@free.fr>  Thu, 27 Feb 2025 13:23:54 +0100

oar (2.6.0~rc6-1) unstable; urgency=medium

  * Release candidate 6

 -- Pierre Neyron <pierre.neyron@free.fr>  Tue, 25 Feb 2025 20:10:32 +0100

oar (2.6.0~rc5-1) unstable; urgency=medium

  * Release candidate 5

 -- Pierre Neyron <pierre.neyron@free.fr>  Mon, 24 Feb 2025 11:04:33 +0100

oar (2.6.0~rc4-1) unstable; urgency=medium

  * Release candidate 4

 -- Pierre Neyron <pierre.neyron@free.fr>  Fri, 21 Feb 2025 23:20:27 +0100

oar (2.6.0~rc3-1) unstable; urgency=medium

  * Release candidate 3

 -- Pierre Neyron <pierre.neyron@free.fr>  Fri, 21 Feb 2025 20:48:31 +0100

oar (2.6.0~rc2-1) unstable; urgency=medium

  * Release candidate 2

 -- Pierre Neyron <pierre.neyron@free.fr>  Fri, 21 Feb 2025 01:57:28 +0100

oar (2.6.0~rc1-1) unstable; urgency=medium

  * Release candidate 1

 -- Pierre Neyron <pierre.neyron@free.fr>  Sun, 26 Jan 2025 20:07:49 +0100

## oar 2.6.1

=== Makefile ===
#/usr/bin/make
export SHELL=/bin/bash

# Modules that can be builded
MODULES = server user node monika drawgantt drawgantt-svg doc tools api www-conf common common-libs database


MODULES_LIST= $(patsubst %,% |, $(MODULES))|
OPTIONS_LIST= OARCONFDIR | OARUSER | OAROWNER | PREFIX | MANDIR | OARDIR | BINDIR | SBINDIR | DOCDIR

# Define the makefile targets
TARGETS_SUFFIX = build clean install uninstall

TARGETS_BUILD     = $(MODULES:=-build)
TARGETS_CLEAN     = $(MODULES:=-clean)
TARGETS_INSTALL   = $(MODULES:=-install)
TARGETS_SETUP     = $(MODULES:=-setup)
TARGETS_UNINSTALL = $(MODULES:=-uninstall)
TARGETS = $(TARGETS_BUILD) $(TARGETS_CLEAN) $(TARGETS_INSTALL) $(TARGETS_UNINSTALL) $(TARGETS_SETUP)

all:       usage
build:     $(TARGETS_BUILD)
install:   $(TARGETS_INSTALL)
clean:     $(TARGETS_CLEAN)
uninstall: $(TARGETS_UNINSTALL)
setup:     $(TARGETS_SETUP)

tarball: .git
	./misc/make_tarball

.git:
	@echo "Must be used from a git repository!"
	exit 1

usage:
	@echo "Usage: make [ OPTIONS=<...> ] [MODULES-]{install|build|clean|uninstall|setup}"
	@echo ""
	@echo "Where MODULES := { $(MODULES_LIST:||=) }"
	@echo ""
	@echo "      OPTIONS := { $(OPTIONS_LIST) }"

sanity-check:
	@[ "`id root`" = "`id`" ] || echo "Warning: root-privileges are required to install some files !"

sanity-setup-check: sanity-check
	@id $(OAROWNER) > /dev/null || ( echo "Error: User $(OAROWNER) does not exist!" ; exit -1 )


# Meta targets
$(TARGETS_BUILD):     MODULE = $(patsubst %-build,%,$@)
$(TARGETS_BUILD):     ACTION = build
$(TARGETS_INSTALL):   MODULE = $(patsubst %-install,%,$@)
$(TARGETS_INSTALL):   ACTION = install
$(TARGETS_SETUP):     MODULE = $(patsubst %-setup,%,$@)
$(TARGETS_SETUP):     ACTION = setup
$(TARGETS_UNINSTALL): MODULE = $(patsubst %-uninstall,%,$@)
$(TARGETS_UNINSTALL): ACTION = uninstall
$(TARGETS_CLEAN):     MODULE = $(patsubst %-clean,%,$@)
$(TARGETS_CLEAN):     ACTION = clean

$(TARGETS_INSTALL):  sanity-check
	$(MAKE) $(strip $(MODULE))-build
	$(MAKE) -f Makefiles/$(strip $(MODULE)).mk install

$(TARGETS_UNINSTALL):
	$(MAKE) -f Makefiles/$(strip $(MODULE)).mk uninstall

$(TARGETS_CLEAN):
	$(MAKE) -f Makefiles/$(strip $(MODULE)).mk clean

$(TARGETS_BUILD):
	$(MAKE) -f Makefiles/$(strip $(MODULE)).mk build

$(TARGETS_SETUP):
	-$(MAKE) -s -f Makefiles/$(strip $(MODULE)).mk setup


# Dependencies
server-setup: common-setup common-libs-setup database-setup
server-install: sanity-check common-install common-libs-install database-install
server-clean: common-clean common-libs-clean database-clean
server-build: common-build common-libs-build database-build
server-uninstall: common-uninstall common-libs-uninstall database-uninstall

user-setup: common-setup common-libs-setup
user-install: sanity-check common-install common-libs-install
user-clean: common-clean common-libs-clean
user-build: common-build common-libs-build
user-uninstall: common-uninstall common-libs-uninstall

node-setup: common-setup
node-install: sanity-check common-install
node-clean: common-clean
node-build: common-build
node-uninstall: common-uninstall

drawgantt-setup: www-conf-setup
drawgantt-install: www-conf-install
drawgantt-clean: www-conf-clean
drawgantt-build: www-conf-build
drawgantt-uninstall: www-conf-uninstall

drawgantt-svg-setup: www-conf-setup
drawgantt-svg-install: www-conf-install
drawgantt-svg-clean: www-conf-clean
drawgantt-svg-build: www-conf-build
drawgantt-svg-uninstall: www-conf-uninstall

monika-setup: www-conf-setup
monika-install: www-conf-install
monika-clean: www-conf-clean
monika-build: www-conf-build
monika-uninstall: www-conf-uninstall

tools-setup: common-setup common-libs-setup
tools-install: sanity-check common-install common-libs-install
tools-clean: common-clean common-libs-clean
tools-build: common-build common-libs-build
tools-uninstall: common-uninstall common-libs-uninstall

api-setup: common-setup common-libs-setup
api-install: sanity-check common-install common-libs-install
api-build: common-build common-libs-build
api-clean: common-clean common-libs-clean
api-uninstall: common-uninstall common-libs-uninstall


P_ACTIONS = build install clean
P_TARGETS = $(patsubst %,packages-%,$(P_ACTIONS))

packages-build:    P_ACTION = build
packages-install:  P_ACTION = install
packages-clean:    P_ACTION = clean

$(P_TARGETS):
	# oar-doc
	$(MAKE) -f Makefiles/doc.mk $(P_ACTION) \
	    DESTDIR=$(PACKAGES_DIR)/oar-doc

	# oar-common
	mkdir -p $(PACKAGES_DIR)/oar-common/var/lib/oar
	$(MAKE) -f Makefiles/common.mk $(P_ACTION) \
	    DESTDIR=$(PACKAGES_DIR)/oar-common

	# liboar-perl
	mkdir -p $(PACKAGES_DIR)/liboar-perl/var/lib/oar
	$(MAKE) -f Makefiles/common-libs.mk $(P_ACTION) \
	    DESTDIR=$(PACKAGES_DIR)/liboar-perl

	# oar-server
	mkdir -p $(PACKAGES_DIR)/oar-server/var/lib/oar
	$(MAKE) -f Makefiles/server.mk $(P_ACTION)\
    SHAREDIR=/usr/share/oar/oar-server \
                DESTDIR=$(PACKAGES_DIR)/oar-server
	$(MAKE) -f Makefiles/database.mk $(P_ACTION)\
                DESTDIR=$(PACKAGES_DIR)/oar-server \
    SHAREDIR=/usr/share/oar/oar-server \
		DOCDIR=/usr/share/doc/oar-server

	# oar-node
	mkdir -p $(PACKAGES_DIR)/oar-node/var/lib/oar
	mkdir -p $(PACKAGES_DIR)/oar-node/etc/init.d
	$(MAKE) -f Makefiles/node.mk $(P_ACTION)\
                DESTDIR=$(PACKAGES_DIR)/oar-node

	# oar-user
	mkdir -p $(PACKAGES_DIR)/oar-user/var/lib/oar
	$(MAKE) -f Makefiles/user.mk $(P_ACTION)\
                DESTDIR=$(PACKAGES_DIR)/oar-user

	# oar-web-status
	$(MAKE) -f Makefiles/monika.mk $(P_ACTION) \
                DESTDIR=$(PACKAGES_DIR)/oar-web-status \
		DOCDIR=/usr/share/doc/oar-web-status \
		SHAREDIR=/usr/share/oar/oar-web-status \
		WWWDIR=/usr/share/oar-web-status
	$(MAKE) -f Makefiles/drawgantt-svg.mk $(P_ACTION) \
                DESTDIR=$(PACKAGES_DIR)/oar-web-status \
		DOCDIR=/usr/share/doc/oar-web-status \
		SHAREDIR=/usr/share/oar/oar-web-status \
		WWWDIR=/usr/share/oar-web-status
	$(MAKE) -f Makefiles/www-conf.mk $(P_ACTION) \
                DESTDIR=$(PACKAGES_DIR)/oar-web-status \
		DOCDIR=/usr/share/doc/oar-web-status \
		SHAREDIR=/usr/share/oar/oar-web-status \
		WWWDIR=/usr/share/oar-web-status

	# oar-restful-api
	$(MAKE) -f Makefiles/api.mk $(P_ACTION) \
	    DOCDIR=/usr/share/doc/oar-restful-api \
	    DESTDIR=$(PACKAGES_DIR)/oar-restful-api

	# keyring
	#$(MAKE) -f Makefiles/keyring.mk $(P_ACTION) \
	#    DESTDIR=$(PACKAGES_DIR)/oar-keyring

=== docs/requirements.txt ===
-e git+https://github.com/oar-team/oar-sphinx-theme.git#egg=oar-sphinx-theme

=== sources/core/tools/oarcgdev/Makefile ===
all: oarcgdev

oarcgdev.c: oarcgdev.c.in
	sed -e 's/%%OARDIR%%/./' oarcgdev.c.in > oarcgdev.c

oarcgdev: oarcgdev.bpf oarcgdev.c
	gcc -g -O0 -rdynamic -Wall -Werror oarcgdev.c -lelf -lz -lbpf -o oarcgdev

oarcgdev.bpf: oarcgdev-ebpf.c
	#Need -g so that the map gets declared
	#https://lists.iovisor.org/g/iovisor-dev/topic/reading_pinned_maps_in_ebpf/76194102
	clang -I /usr/include/*-linux-gnu/ -O2 -target bpf -c oarcgdev-ebpf.c -mcpu=v3 -g -o oarcgdev.bpf

clean:
	rm oarcgdev oarcgdev.bpf

=== debian/changelog ===
oar (2.6.1-1) unstable; urgency=medium

  * New upstream release
  * Improved support for pam-oar-adopt (fix bugs and config)

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 24 Mar 2025 14:50:27 +0100

oar (2.6.1~rc2-1) unstable; urgency=medium

  * Release candidate 2

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 21 Mar 2025 16:55:34 +0100

oar (2.6.1~rc1-1) unstable; urgency=medium

  * Release candidate 1
  * Install and setup PAM profile in oar-node package
  * remove patch move-pam-oar-adopt-to-oar-node: applied upstream

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 18 Mar 2025 16:53:19 +0100

oar (2.6.0-2) unstable; urgency=medium

  [ Pierre Neyron ]
  * Move pam_oar_adopt back to the oar-node package. Closes: #1099442.
  * 2.6.0 also closes: #1039291: oar-node and oar-server now have systemd
    service files.
  * 2.6.0 also closes: #1049242: incriminated oar.gpg is not packaged anymore.

  [ Vincent Danjean ]
  * add breaks/replaces on oar-common (= 2.6.0-1) in case someone installed
    this version (where pam_oar_adopt was moved)

 -- Pierre Neyron <pierre.neyron@free.fr>  Thu, 06 Mar 2025 09:02:14 +0100

=== debian/control ===
Source: oar
Maintainer: Pierre Neyron <pierre.neyron@free.fr>
Uploaders: Vincent Danjean <vdanjean@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 13),
               po-debconf,
               perl,
               python3-sphinx,
               clang,
               libbpf-dev
Standards-Version: 4.7.1
Vcs-Git: https://github.com/oar-team/oar.git/ -b debian.org
Vcs-Browser: https://github.com/oar-team/oar
Homepage: http://oar.imag.fr/
Rules-Requires-Root: no

Package: liboar-perl
Architecture: any
Section: perl
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${perl:Depends},
         libdbi-perl,
         libcapture-tiny-perl
Suggests: oar-server,
          oar-user,
          oar-node,
          oar-doc
Description: OAR batch scheduler common library package
 OAR is a versatile resource and task manager (also called a batch scheduler)
 for clusters and other computing infrastructures
 .
 This package installs the common libraries of the OAR batch scheduler

Package: oar-common
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${perl:Depends},
         liboar-perl (= ${binary:Version}),
         adduser,
         ucf,
         hwloc-nox (>= 2.12) | hwloc (>= 2.12),
         libbpf1
Suggests: oar-server,
          oar-user,
          oar-node,
          oar-doc,
          libpam-modules
Description: OAR batch scheduler common package
 OAR is a versatile resource and task manager (also called a batch scheduler)
 for clusters and other computing infrastructures
 .
 This package installs the common part of the OAR batch scheduler, using systemd

Package: oar-server
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${perl:Depends},
         openssh-client,
         cron,
         libsort-versions-perl,
         libdbi-perl,
         oar-common (= ${binary:Version}),
         oar-server-pgsql (= ${binary:Version}) | oar-server-mysql (= ${binary:Version}),
         perl (<< 5.17) | libterm-ui-perl
Recommends: libxml-dumper-perl,
            libyaml-perl,
            libyaml-syck-perl
Suggests: taktuk,
          phpmyadmin,
          oar-node,
          oar-doc,
          openssh-server
Breaks: oar-admin
Description: OAR batch scheduler server package
 OAR is a versatile resource and task manager (also called a batch scheduler)
 for clusters and other computing infrastructures
 .
 This package installs the server part of the OAR batch scheduler

Package: oar-server-mysql
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${perl:Depends},
         libdbi-perl,
         libdbd-mysql-perl
Recommends: default-mysql-client | virtual-mysql-client
Suggests: default-mysql-server | virtual-mysql-server
Description: OAR batch scheduler MySQL server backend package
 OAR is a versatile resource and task manager (also called a batch scheduler)
 for clusters and other computing infrastructures
 .
 This empty package installs the MySQL dependencies for the server part of the
 OAR batch scheduler.

Package: oar-server-pgsql
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${perl:Depends},
         libdbi-perl,
         libdbd-pg-perl
Recommends: postgresql-client
Suggests: postgresql
Description: OAR batch scheduler PostgreSQL server backend package
 OAR is a versatile resource and task manager (also called a batch scheduler)
 for clusters and other computing infrastructures
 .
 This empty package installs the PostgreSQL dependencies for the server part of
 the OAR batch scheduler.

Package: oar-node
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends},
         openssh-client,
         openssh-server,
         oar-common (= ${binary:Version})
Suggests: oar-doc,
          xauth
Description: OAR batch scheduler node package
 OAR is a versatile resource and task manager (also called a batch scheduler)
 for clusters and other computing infrastructures
 .
 This package installs the execution node part of the OAR batch scheduler

Package: oar-user
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${perl:Depends},
         libdbi-perl,
         oar-common (= ${binary:Version}),
         oar-user-pgsql (= ${binary:Version}) | oar-user-mysql (= ${binary:Version})
Recommends: libxml-dumper-perl,
            libyaml-perl,
            libyaml-syck-perl
Suggests: oar-doc,
          openssh-client,
          xauth
Breaks: oar-admin
Description: OAR batch scheduler user package
 OAR is a versatile resource and task manager (also called a batch scheduler)
 for clusters and other computing infrastructures
 .
 This package install the submission and query part of the OAR batch scheduler.

Package: oar-user-mysql
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${perl:Depends},
         libdbi-perl,
         libdbd-mysql-perl
Description: OAR batch scheduler MySQL user backend package
 OAR is a versatile resource and task manager (also called a batch scheduler)
 for clusters and other computing infrastructures
 .
 This empty package installs the MySQL dependencies for the user part of the
 OAR batch scheduler.

Package: oar-user-pgsql
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${perl:Depends},
         libdbi-perl,
         libdbd-pg-perl
Description: OAR batch scheduler PostgreSQL user backend package
 OAR is a versatile resource and task manager (also called a batch scheduler)
 for clusters and other computing infrastructures
 .
 This empty package installs the PostgreSQL dependences for the user part of
 the OAR batch scheduler.

Package: oar-web-status
Architecture: all
Section: web
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends},
         apache2 | httpd-cgi,
         ${perl:Depends},
         libdbi-perl,
         libdbd-mysql-perl | libdbd-pg-perl,
         libtie-ixhash-perl,
         libappconfig-perl,
         libsort-naturally-perl,
         libutf8-all-perl,
         libcgi-fast-perl,
         php,
         php-mysql | php-pgsql
Suggests: oar-doc
Description: OAR batch scheduler visualization tool package
 OAR is a versatile resource and task manager (also called a batch scheduler)
 for clusters and other computing infrastructures
 .
 This package install the OAR batch scheduler web interfaces: drawgantt-svg
 and monika.

Package: oar-doc
Architecture: all
Section: doc
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
         libjs-jquery,
         libjs-underscore
Description: OAR batch scheduler documentation package
 OAR is a versatile resource and task manager (also called a batch scheduler)
 for clusters and other computing infrastructures
 .
 This package install some documentation for OAR batch scheduler

Package: oar-restful-api
Architecture: any
Section: net
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${perl:Depends},
         libjson-perl,
         libyaml-perl,
         libwww-perl,
         libcgi-fast-perl,
         oar-user,
         apache2 | httpd-cgi
Recommends: libyaml-syck-perl
Suggests: oar-doc,
          oar-server,
          apache2,
          libapache2-mod-fcgid,
          apache2-suexec-custom
Description: OAR web services
 OAR is a versatile resource and task manager (also called a batch scheduler)
 for clusters and other computing infrastructures
 .
 This package installs a RESTful API for oar users.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Some programs are suid. Compiling them with hardening flags...
# https://wiki.debian.org/Hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# This has to be exported to make some magic below work.
export DH_OPTIONS

# This is required to use systemd
export SYSTEMD_INIT=true

INSTALLDIR=debian

export OARUSER=oar
export OARCONFDIR=/etc/oar
export PREFIX=/usr
export MANDIR=/usr/share/man
export OARDIR=/usr/lib/oar
export BINDIR=/usr/bin
export SBINDIR=/usr/sbin
export CGIDIR=/usr/lib/cgi-bin
export PERLLIBDIR=/usr/share/perl5
export VARLIBDIR=/var/lib
export SETUP_TYPE=deb
export TARGET_DIST=debian

CFLAGS += -Wall

%:
	dh $@ --with sphinxdoc

override_dh_auto_build:
	dh_auto_build -- -e packages-build   PACKAGES_DIR=$(CURDIR)/$(INSTALLDIR)


override_dh_auto_install:
	$(MAKE) -e packages-install PACKAGES_DIR=$(CURDIR)/$(INSTALLDIR)
	## oar-server
	cat $(CURDIR)/$(INSTALLDIR)/oar-server/usr/share/oar/oar-server/cron.d/oar-server > debian/oar-server.cron.d
	cat $(CURDIR)/$(INSTALLDIR)/oar-server/usr/share/oar/oar-server/systemd/oar-server.service > debian/oar-server.service
	cat $(CURDIR)/$(INSTALLDIR)/oar-server/usr/share/oar/oar-server/systemd/oar-accounting.timer > debian/oar-server.oar-accounting.timer
	cat $(CURDIR)/$(INSTALLDIR)/oar-server/usr/share/oar/oar-server/systemd/oar-accounting.service > debian/oar-server.oar-accounting.service

	## oar-node
	cat $(CURDIR)/$(INSTALLDIR)/oar-node/usr/share/oar/oar-node/cron.d/oar-node > debian/oar-node.cron.d
	cat $(CURDIR)/$(INSTALLDIR)/oar-node/usr/share/oar/oar-node/systemd/oar-node.service > debian/oar-node.service
	cat $(CURDIR)/$(INSTALLDIR)/oar-node/usr/share/oar/oar-node/systemd/oar-node-script.service > debian/oar-node.oar-node-script.service
	cat $(CURDIR)/$(INSTALLDIR)/oar-node/usr/share/oar/oar-node/systemd/oar-nodecheck.timer > debian/oar-node.oar-nodecheck.timer
	cat $(CURDIR)/$(INSTALLDIR)/oar-node/usr/share/oar/oar-node/systemd/oar-nodecheck.service > debian/oar-node.oar-nodecheck.service
	cat $(CURDIR)/$(INSTALLDIR)/oar-node/usr/share/oar/oar-node/systemd/oar.target > debian/oar-node.oar.target

	## oar-common
	cat $(CURDIR)/$(INSTALLDIR)/oar-common/usr/share/oar/oar-common/logrotate.d/oar-common > debian/oar-common.logrotate
	## oar-web-status
	# (poar) use libjs-jquery instead of the embedded one.
	# -- poar is not in the debian packaging (still an experimental feature)
	#rm $(CURDIR)/$(INSTALLDIR)/oar-web-status/usr/share/oar/oar-web-status/poar/external/jquery.js
	#ln -s /usr/share/javascript/jquery/jquery.js  $(CURDIR)/$(INSTALLDIR)/oar-web-status/usr/share/oar-web-status/poar/external/jquery.js

	## oar-doc
	rm -r $(CURDIR)/$(INSTALLDIR)/oar-doc/usr/share/doc/oar-doc/doctrees

	dh_install -i
	dh_installsystemd --name=oar
	dh_installsystemd --name=oar-node-script
	dh_installsystemd --name=oar-accounting
	dh_installsystemd --name=oar-nodecheck

override_dh_clean:
	dh_clean

	$(MAKE) -e packages-clean   PACKAGES_DIR=$(CURDIR)/$(INSTALLDIR)

	# Cleaning package
	$(RM) debian/oar-server.init
	$(RM) debian/oar-server.service
	$(RM) debian/oar-server.oar-accounting.service
	$(RM) debian/oar-server.oar-accounting.timer
	$(RM) debian/oar-node.init
	$(RM) debian/oar-node.service
	$(RM) debian/oar-node.oar-node-script.service
	$(RM) debian/oar-node.oar-nodecheck.service
	$(RM) debian/oar-node.oar-nodecheck.timer
	$(RM) debian/oar-server.default
	$(RM) debian/oar-node.default
	$(RM) debian/oar-common.logrotate
	$(RM) debian/oar-server.cron.d
	$(RM) debian/oar-node.cron.d

override_dh_installinit:
	dh_installinit --error-handler=errorinit

override_dh_compress:
	# avoid to compress examples as we use ucf after.
	dh_compress -Xexamples

override_dh_fixperms:
	dh_fixperms
	chmod +x debian/oar-server/usr/share/oar/oar-server/server_epilogue
	chmod +x debian/oar-server/usr/share/oar/oar-server/server_prologue
	chmod +x debian/oar-server/usr/share/oar/oar-server/shut_down_nodes.sh
	chmod +x debian/oar-server/usr/share/oar/oar-server/wake_up_nodes.sh
	chmod +x debian/oar-common/usr/share/oar/oar-common/oarnodesetting_ssh
	chmod +x debian/oar-common/usr/share/oar/oar-common/update_cpuset_id.sh
	chmod +x debian/oar-web-status/usr/share/oar/oar-web-status/userInfos.cgi
	chmod +x debian/oar-restful-api/usr/share/oar/oar-api/stress_factor.sh
	chmod +x debian/oar-node/usr/share/oar/oar-node/epilogue
	chmod +x debian/oar-node/usr/share/oar/oar-node/prologue
